Package com.smartgwt.client.ai

# Class BuildHilitesResponse

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationResult
com.smartgwt.client.ai.BuildViaAIResponse
com.smartgwt.client.ai.BuildHilitesResponse

All Implemented Interfaces:
  `HasHandlers`

public class BuildHilitesResponse extends BuildViaAIResponse
Represents a response from AI to a request to build one or more `Hilite` objects.

See Also:
  - `com.smartgwt.client.ai.AI#buildHilites`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildHilitesResponse()`
  `BuildHilitesResponse(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Hilite[]`
  `getHilites()`
  If successful, the generated `Hilite`(s) for the user's natural language description of hilite criteria and styling to apply.
  `static BuildHilitesResponse`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `BuildHilitesResponse`
  `setHilites(Hilite... hilites)`
  If successful, the generated `Hilite`(s) for the user's natural language description of hilite criteria and styling to apply.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationResult

  `getCancellationReason, getDisabledMessage, getErrorMessage, getType, setCancellationReason, setDisabledMessage, setErrorMessage, setType`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuildHilitesResponse

    public BuildHilitesResponse()

  - ### BuildHilitesResponse

    public BuildHilitesResponse(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static BuildHilitesResponse getOrCreateRef(JavaScriptObject jsObj)

  - ### setHilites

    public BuildHilitesResponse setHilites(Hilite... hilites)
    If successful, the generated `Hilite`(s) for the user's natural language description of hilite criteria and styling to apply. This may be an empty array if no hilites were determined from the prompt.
    Parameters:
      `hilites` - New hilites value. Default value is *initialized by the implementation*
    Returns:
      `BuildHilitesResponse` instance, for chaining setter calls

  - ### getHilites

    public Hilite[] getHilites()
    If successful, the generated `Hilite`(s) for the user's natural language description of hilite criteria and styling to apply. This may be an empty array if no hilites were determined from the prompt.
    Returns:
      Current hilites value. Default value is *initialized by the implementation*